package net.mkonrad.synes.util;

public class DbgTools
{
	private static boolean _dbg = false;
	
	public static void print(String s)
	{
	   print(s, null);	   
	}
	
	public static void print(String s, String prepend)
	{
		if (!_dbg)
		  return;
		
		if (prepend == null)
		  prepend = "SYNES: ";
		
		System.out.println(prepend + s);
	}
	
	public static void setDbgMode(boolean dbg)
	{
		_dbg = dbg;
	}
	
	public static boolean getDbgMode()
	{
		return _dbg;
	}
}
